<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- qtguiapplication.qdoc -->
  <title>QtGuiApplication QML Type | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="qml-qbsconvenienceitems-qtapplication.html" />
  <link rel="next" href="qml-qbsconvenienceitems-staticlibrary.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="qml-qbsconvenienceitems-qtapplication.html">QtApplication</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="qml-qbsconvenienceitems-staticlibrary.html">StaticLibrary</a>
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#details">Detailed Description</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">QtGuiApplication QML Type</h1>
<span class="subtitle"></span>
<!-- $$$QtGuiApplication-brief -->
<p>Application with a dependency on the Qt GUI module. <a href="#details">More...</a></p>
<!-- @@@QtGuiApplication -->
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Import Statement:</td><td class="memItemRight bottomAlign"> import QbsConvenienceItems .</td></tr><tr><td class="memItemLeft rightAlign topAlign"> Inherits:</td><td class="memItemRight bottomAlign"> <p><a href="qml-qbsconvenienceitems-qtapplication.html">QtApplication</a></p>
</td></tr></table></div><ul>
<li><a href="qml-qbsconvenienceitems-qtguiapplication-members.html">List of all members, including inherited members</a></li>
</ul>
<!-- $$$QtGuiApplication-description -->
<a name="details"></a>
<h2 id="details">Detailed Description</h2>
<p>A QtGuiApplication is an application that extends the <a href="qml-qbsconvenienceitems-qtapplication.html">QtApplication</a> item by loading the <a href="qml-qbsmodules-qt-gui.html">Qt.gui</a> module.</p>
<!-- @@@QtGuiApplication -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="qml-qbsconvenienceitems-qtapplication.html">QtApplication</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="qml-qbsconvenienceitems-staticlibrary.html">StaticLibrary</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
